local A = select(2, ...);
local U = A.Utils;
local comp = CreateFrame("Button", "TabuLfgCompanion", nil, "TooltipBorderedFrameTemplate");

local emptyTable = {}

A.Companion = comp;
comp:Hide();

local function OnRequestChange(event, entries) 
    --local res = A:Mod("chat-data")._lastEntries or emptyTable;
    comp:Update(entries);
end

local function OnDataUpdate(event, entries) 
    --local res = A:Mod("chat-data")._lastEntries or emptyTable;
    comp:Update(entries);
end

comp:SetScript("OnShow", function() 
    A:Mod("lfm-request"):On("request:change", OnRequestChange, comp);
    A:Mod("chat-data"):On("data:update", OnDataUpdate, comp);
end);

comp:SetScript("OnHide", function() 
    A:Mod("lfm-request"):Off("request:change", OnRequestChange, comp);
    A:Mod("chat-data"):Off("data:update", OnDataUpdate, comp);
end);

function A:ToggleCompanion()
    local f = comp;
    if f:IsShown() then
        f:Hide();
    else
        f:Show();
    end
end

function A:ShowCompanion()
    comp:Show();
end