local A = select(2, ...);
local L = A.Localize.translate;
local U = A.Utils;
local com = A:Com("send-invite");

local STATIC_POPUP_KEY = "TabuLfg.Lfm.SendInvite";

local popup = {}
Mixin(popup, {
    OnAccept = function(self)
        U:Msg("Invite sended to", popup.userName);
        InviteUnit(popup.userName);
    end,
    button1 = L("Yes, invite"),
    button2 = L("Cancel"),
    timeout = 0,
    whileDead = true,
    hideOnEscape = true,
    preferredIndex = 3,  -- avoid some UI taint, see http://www.wowace.com/announcements/how-to-avoid-some-ui-taint/
});

StaticPopupDialogs[STATIC_POPUP_KEY] = popup;

function com:Send(userName)
    popup.userName = userName;
    popup.text = L("Do you want to invite " .. userName .. "?");
    StaticPopup_Show(STATIC_POPUP_KEY);
end