local ANAME, A = select(1, ...);

TabuLfg = A;

A.CommunicationId = "tabulfg1.0.0";

A.Lib = {};

A.AddLib = function(self, key, name)
	A.Lib[key] = LibStub(name);
	return A.Lib[key];
end

A:AddLib('SharedMedia','LibSharedMedia-3.0');
A:AddLib('FB','TabuFrameBuilder-2.0');
A:AddLib('MapIcon','LibDBIcon-1.0');
local broker = A:AddLib("DataBroker", "LibDataBroker-1.1")

A.MainDataBroker = broker:NewDataObject(ANAME, {
	type = "data source",
	text = ANAME,
	icon = "Interface\\LFGFRAME\\UI-LFG-PORTRAIT",
	OnTooltipShow = function(tooltip)
		tooltip:SetText(ANAME)
		tooltip:Show()
   end,
	OnClick = function() 
		A:ToggleMainFrame();
	end,
});


A.Cache = {};

A.Utils = {};
A.Mixins = {};
A.Constants = {};
--A.Request = {};
--A.Dungeons = {};
--A.Message = {};
--A.Player = {};
-- A.Lfm = {};


A.Localize = {
	Locales = {}
};
--A.PlayersDB = {};

A.Api = {

	-- message type API
	Type = {},

	-- dungeon mode API
	Mode = {},

	-- player role API
	Role = {},

	-- Dungeon API
	Dungeon = {},

	-- Class api
	Class = {},

	-- Arena api
	Arena = {},

}