-- Map Icon
local ANAME, A = select(1, ...);
local icon = A.Lib.MapIcon;
A.MapIcon = {}
local M = A.MapIcon;
local Cache = A.Cache;

local function GetOptions()
    local options = Cache:GetOption("map-icon");
    if not options then
        options = {};
        Cache:SetOption("map-icon", options);
    end
    return options;
end



function M:Initialize()
    local options = GetOptions();
    icon:Register(ANAME, A.MainDataBroker, options);
    icon:Show(ANAME);
end



-- function addon:OnInitialize() 
-- -- Obviously you'll need a ## SavedVariables: BunniesDB line in your TOC, duh! 
--     self.db = LibStub("AceDB-3.0"):New("BunniesDB", { profile = { minimap = { hide = false, }, }, }) 
--     icon:Register("Bunnies!", bunnyLDB, self.db.profile.minimap) 
--     self:RegisterChatCommand("bunnies", "CommandTheBunnies") 
-- end

-- function addon:CommandTheBunnies() 
--     self.db.profile.minimap.hide = not self.db.profile.minimap.hide 
--     if self.db.profile.minimap.hide then 
--         icon:Hide("Bunnies!") 
--     else 
--         icon:Show("Bunnies!") 
--     end 
-- end 
